<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
</head>

<body style="background-color: #111111">
<div class="container">
    <div class="row">
        <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
            <div class="card card-signin my-5">
                <div class="card-body">
                    <h5 class="card-title text-center">Sign In</h5>
                    <p>
                        <i th:if="${param.error}" style="color: red"> Wrong username or password. </i>
                    </p>
                    <p>
                        <i th:if="${param.logout}" style="color: red"> You have been logged out. </i>
                    </p>
                    <form class="form-signin" th:action="@{/authenticate}" method="post">
                        <div class="form-label-group">
                            <label for="username"></label>
                            <input type="text" id="username" name="username"
                                   class="form-control" placeholder="Username" required autofocus>
                        </div>
                        <div class="form-label-group">
                            <label for="password"></label>
                            <input type="password" id="password" name="password"
                                   class="form-control" placeholder="Password" required>
                        </div>
                        <br/>
                        <button class="btn btn-lg btn-primary btn-block text-uppercase"
                                type="submit" value="Login">Login
                        </button>
                        <p style="text-align: center!important;margin-top: .5rem!important;
                        display: block!important;text-decoration: none;cursor: pointer;font-size: 80%">
                            <a id="signuplink" th:href="@{/register}">Sign-up</a>
                        </p>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>